Jump to content
  • Advertisement
Sign in to follow this  
vinodpatel2006

DirectX 9.0 compatibility with DirectX 6.0 and 7.0

This topic is 3647 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

Hello, I am writing a 3D graphics player that currently support 6.0 and 7.0 Version of the DirectX. Now, i want to upgrade player with DirectX 9.0. Is it possible?. Does directX 9.0 compile with the DirectX 6.0 and 7.0....? Any help would be appreciated..... Thanks In Advance

Share this post


Link to post
Share on other sites
Advertisement
If you mean API, simple answer is no. D3D API is redesigned in DX8. The API before 8 and after is very different. D3D10 is another redesign again.

If you mean if it runs on video card of DX6/DX7 level, the answer is it runs on DX7 level but I'm not sure about DX6 level.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

Participate in the game development conversation and more when you create an account on GameDev.net!

Sign me up!